Skip to content

Order-Webhook

New Order Event Notification

Request

POST /v1/newEvent

Information about a new event in the systems

HOST: SOFTWARE SERVICE

DIRECTION:

Headers
X-App-Idstringrequired

An unique Identificator of the **Keetas**. The same ID must be sent to all **Software Service**s that implements this webhook.

X-App-MerchantIdstring, [ 36 .. 100 ] characters(id)required

An unique Identificator of the Merchant

Example:22815773000169-dbc7e35a-c936-4665-9e13-eb55eb8b6824
X-App-Signaturestring, (SHA256)required

SHA256 hash of the request body, using the client secret as the key, and finally encoded into Base64 format.

Bodyapplication/json
eventIdstringrequired

A unique identifier of the event.

eventTypestringrequired

The event type. Click here for definitions of each type.

Enum:"CREATED""CONFIRMED""DISPATCHED""READY_FOR_PICKUP""PICKUP_ONGOING""PICKED_UP""DELIVERED""CONCLUDED""CANCELLATION_REQUESTED""CANCELLED"
Discriminator
orderIdstringrequired

The unique identifier of the order. The order ID is generated by Keeta.

orderURLstring, (uri)required

The URL to get the order details

createdAtstring, (date-time)required

Order creation date and time.

(UTC date-time in ISO timestamp format. See Guidelines for more info).

sourceAppIdstring

This field must be filled in with the AppId of Keeta that originated the order. This field is to help the applications that will work as a Hub, intermediating the requests from Keeta with the Software Service.

virtualBrandstring

This field can be used as an alternative id for the merchant, in cases where the same merchant has different identifications or brands (such as dark kitchens). It is important to note that Keeta or Software Hub must know this Id beforehand.

curl -i -X POST \
  https://api.example.com/api/open/opendelivery/v1/newEvent \
  -H 'Content-Type: application/json' \
  -H 'X-App-Id: string' \
  -H 'X-App-MerchantId: 22815773000169-dbc7e35a-c936-4665-9e13-eb55eb8b6824' \
  -H 'X-App-Signature: string' \
  -d '{
    "eventId": "string",
    "eventType": "CREATED",
    "orderId": "string",
    "orderURL": "http://example.com",
    "createdAt": "2019-08-24T14:15:22Z",
    "sourceAppId": "string",
    "virtualBrand": "string"
  }'

Responses

Status 200 available for compatibility reasons. Please use status 204 instead.

Response
No content